#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define url_ver %(echo %{version} | cut -d. -f1-2)

%define rel 1

Name:           breeze-icons
Summary:        Breeze icon theme
Epoch:          1
Version: 6.6.0
Release:        %mkrel %rel
Group:          Graphical desktop/KDE
License:        LGPLv3
URL:            https://www.kde.org/
Source0:        https://download.kde.org/stable/frameworks/%{url_ver}/%{name}-%{version}.tar.xz
## upstream patches

BuildRequires:  kf6-rpm-macros

BuildRequires:  python3
BuildRequires:  python3dist(lxml)
BuildRequires:  util-linux
BuildRequires:  symlinks

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Test)

%description
Breeze Plasma 6 icon theme. Compliant with FreeDesktop.org naming schema.

%files
%_kf6_iconsdir/breeze
%ghost %_kf6_iconsdir/breeze/icon-theme.cache
%_kf6_iconsdir/breeze-dark
%ghost %_kf6_iconsdir/breeze-dark/icon-theme.cache

#-----------------------------------------------------------------------------

%define breezeicons_major 6
%define libbreezeicons    %mklibname kf6breezeicons %{breezeicons_major}

%package -n %libbreezeicons
Summary:        KDE Frameworks 6 Tier 1 addon with breezeicons functions
Group:          System/Libraries
Requires:       %name >= %epoch:%version-%release

%description -n %libbreezeicons
KDE Frameworks 6 Tier 1 addon with breezeicons functions.

%files -n %libbreezeicons
%_kf6_libdir/libKF6BreezeIcons.so.%{breezeicons_major}
%_kf6_libdir/libKF6BreezeIcons.so.%{version}

#-----------------------------------------------------------------------------

%define libbreezeicons_devel %mklibname kf6breezeicons -d

%package -n %{libbreezeicons_devel}
Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libbreezeicons = %epoch:%version-%release
Provides:       %name-devel = %epoch:%{version}-%{release}

%description -n %{libbreezeicons_devel}
This package contains header files needed if you wish to build applications
based on %name.

%files -n %{libbreezeicons_devel}
%_kf6_includedir/BreezeIcons/
%_kf6_libdir/libKF6BreezeIcons.so
%_kf6_libdir/cmake/KF6BreezeIcons/

#-----------------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6
%cmake_build

%install
%cmake_install


# remove possible dangling symlinks
symlinks -rd %{buildroot}%{_kf6_iconsdir}

# As of 4.5.80, hardlink reports
#Linked 854
#saved 8265728
hardlink -c -v %{buildroot}%{_kf6_iconsdir}


# automatic gtk icon cache update on rpm installs/removals
%transfiletriggerin --  /usr/share/icons/breeze/
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  /usr/bin/gtk-update-icon-cache --force --quiet /usr/share/icons/breeze
fi

%transfiletriggerin --  /usr/share/icons/breeze-dark/
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  /usr/bin/gtk-update-icon-cache --force --quiet /usr/share/icons/breeze-dark
fi



%changelog
* Sat Sep 14 2024 daviddavid <daviddavid> 1:6.6.0-1.mga10
+ Revision: 2095897
- New version 6.6.0

* Fri Aug 09 2024 daviddavid <daviddavid> 1:6.5.0-1.mga10
+ Revision: 2084340
- New version 6.5.0

* Sat Jun 08 2024 daviddavid <daviddavid> 1:6.3.0-2.mga10
+ Revision: 2070826
- fix dependencies adding missing epoch

* Fri Jun 07 2024 daviddavid <daviddavid> 1:6.3.0-1.mga10
+ Revision: 2070606
- New version 6.3.0

* Sat May 11 2024 daviddavid <daviddavid> 1:6.2.0-1.mga10
+ Revision: 2063367
- New version 6.2.0

* Sat Apr 13 2024 daviddavid <daviddavid> 1:6.1.0-1.mga10
+ Revision: 2056801
- New version 6.1.0

* Wed Feb 28 2024 neoclust <neoclust> 1:6.0.0-1.mga10
+ Revision: 2044899
- New version 6.0.0

* Tue Feb 06 2024 neoclust <neoclust> 1:5.249.0-1.mga10
+ Revision: 2037459
- New version 5.249.0

* Wed Jan 10 2024 neoclust <neoclust> 1:5.248.0-1.mga10
+ Revision: 2029551
- New version 5.248.0

* Mon Jan 01 2024 neoclust <neoclust> 1:5.247.0-1.mga10
+ Revision: 2025584
- New version 5.247.0
- New version 5.246.0

* Fri Nov 10 2023 neoclust <neoclust> 1:5.245.0-1.mga10
+ Revision: 2005542
- New version 5.245.0

* Thu Oct 19 2023 daviddavid <daviddavid> 1:5.111.0-1.mga10
+ Revision: 1998935
- New version 5.111.0

* Sun Sep 17 2023 daviddavid <daviddavid> 1:5.110.0-1.mga10
+ Revision: 1987415
- New version 5.110.0

* Mon Apr 10 2023 neoclust <neoclust> 1:5.105.0-1.mga9
+ Revision: 1952009
- New version 5.105.0

* Mon Mar 06 2023 neoclust <neoclust> 1:5.104.0-1.mga9
+ Revision: 1947818
- New version 5.104.0

* Mon Feb 13 2023 neoclust <neoclust> 1:5.103.0-1.mga9
+ Revision: 1941319
- New version 5.103.0

* Mon Jan 23 2023 neoclust <neoclust> 1:5.102.0-1.mga9
+ Revision: 1934974
- New version 5.102.0

* Wed Dec 14 2022 daviddavid <daviddavid> 1:5.101.0-1.mga9
+ Revision: 1922216
- New version 5.101.0

* Sun Nov 27 2022 neoclust <neoclust> 1:5.100.0-1.mga9
+ Revision: 1911589
- New version 5.100.0

* Sun Oct 30 2022 neoclust <neoclust> 1:5.99.0-1.mga9
+ Revision: 1900193
- New version 5.99.0

* Tue Sep 13 2022 neoclust <neoclust> 1:5.98.0-1.mga9
+ Revision: 1887628
- New version 5.98.0

* Fri Aug 26 2022 neoclust <neoclust> 1:5.97.0-1.mga9
+ Revision: 1880576
- New version 5.97.0

* Tue Jul 26 2022 neoclust <neoclust> 1:5.96.0-1.mga9
+ Revision: 1871675
- New version 5.96.0

* Mon Apr 25 2022 neoclust <neoclust> 1:5.93.0-1.mga9
+ Revision: 1853195
- New version 5.93.0

* Sun Apr 03 2022 umeabot <umeabot> 1:5.92.0-2.mga9
+ Revision: 1842713
- Mageia 9 Mass Rebuild
+ neoclust <neoclust>
- New version 5.92.0

* Mon Nov 08 2021 neoclust <neoclust> 1:5.88.0-1.mga9
+ Revision: 1754803
- New version 5.88.0

* Sun Oct 03 2021 neoclust <neoclust> 1:5.87.0-1.mga9
+ Revision: 1749054
- New version 5.87.0

* Fri Oct 01 2021 neoclust <neoclust> 1:5.86.0-1.mga9
+ Revision: 1747014
- New version 5.86.0
- New version 5.86.0

* Fri Jul 09 2021 neoclust <neoclust> 1:5.84.0-1.mga9
+ Revision: 1735236
- New version 5.84.0
- New version 5.83.0

* Sat May 15 2021 daviddavid <daviddavid> 1:5.82.0-1.mga9
+ Revision: 1723427
- New version 5.82.0

* Mon Apr 12 2021 daviddavid <daviddavid> 1:5.81.0-2.mga9
+ Revision: 1715035
- enable icon generation support, for 24x24 icons

* Mon Apr 12 2021 daviddavid <daviddavid> 1:5.81.0-1.mga9
+ Revision: 1714823
- New version 5.81.0

* Sat Mar 13 2021 daviddavid <daviddavid> 1:5.80.0-1.mga9
+ Revision: 1702001
- New version 5.80.0

* Thu Feb 25 2021 neoclust <neoclust> 1:5.79.0-1.mga9
+ Revision: 1691092
- New version 5.79.0

* Sun Dec 06 2020 daviddavid <daviddavid> 1:5.76.0-1.mga8
+ Revision: 1653306
- New version 5.76.0

* Sun Oct 11 2020 daviddavid <daviddavid> 1:5.75.0-1.mga8
+ Revision: 1633160
- New version 5.75.0

* Sun Sep 13 2020 daviddavid <daviddavid> 1:5.74.0-1.mga8
+ Revision: 1625574
- New version 5.74.0

* Sun Aug 09 2020 daviddavid <daviddavid> 1:5.73.0-1.mga8
+ Revision: 1612291
- New version 5.73.0

* Wed Jul 08 2020 neoclust <neoclust> 1:5.72.0-1.mga8
+ Revision: 1603065
- New version 5.72.0

* Fri Jun 12 2020 neoclust <neoclust> 1:5.71.0-1.mga8
+ Revision: 1592759
- New version 5.71.0

* Sat May 09 2020 daviddavid <daviddavid> 1:5.70.0-1.mga8
+ Revision: 1581985
- New version 5.70.0

* Sun Apr 12 2020 daviddavid <daviddavid> 1:5.69.0-1.mga8
+ Revision: 1566476
- New version 5.69.0

* Mon Mar 16 2020 daviddavid <daviddavid> 1:5.68.0-1.mga8
+ Revision: 1556652
- New version 5.68.0

* Thu Feb 20 2020 umeabot <umeabot> 1:5.67.0-2.mga8
+ Revision: 1546697
- Mageia 8 Mass Rebuild

* Tue Feb 04 2020 neoclust <neoclust> 1:5.67.0-1.mga8
+ Revision: 1486962
- New version 5.67.0
+ wally <wally>
- build with new cmake macros

* Fri Dec 13 2019 neoclust <neoclust> 1:5.65.0-1.mga8
+ Revision: 1466200
- New version 5.65.0

* Mon Nov 04 2019 neoclust <neoclust> 1:5.64.0-1.mga8
+ Revision: 1457585
- New version 5.64.0

* Thu Oct 10 2019 neoclust <neoclust> 1:5.63.0-1.mga8
+ Revision: 1450966
- New version 5.63.0

* Mon Sep 23 2019 neoclust <neoclust> 1:5.62.0-1.mga8
+ Revision: 1444781
- New version 5.62.0

* Thu Jul 11 2019 neoclust <neoclust> 1:5.60.0-1.mga8
+ Revision: 1420043
- New version 5.60.0

* Mon Apr 08 2019 neoclust <neoclust> 1:5.57.0-1.mga7
+ Revision: 1386909
- New version 5.57.0

* Tue Mar 12 2019 neoclust <neoclust> 1:5.56.0-1.mga7
+ Revision: 1374536
- New version 5.56.0

* Sat Feb 09 2019 neoclust <neoclust> 1:5.55.0-1.mga7
+ Revision: 1364511
- New version 5.55.0

* Mon Jan 14 2019 neoclust <neoclust> 1:5.54.0-1.mga7
+ Revision: 1356634
- New version 5.54.0

* Sat Dec 15 2018 wally <wally> 1:5.53.0-1.mga7
+ Revision: 1341469
- own icon cache files
- update icon cache also for dark theme
+ neoclust <neoclust>
- New version 5.53.0

* Tue Oct 09 2018 neoclust <neoclust> 1:5.51.0-1.mga7
+ Revision: 1318937
- New version 5.51.0
- New version 5.50.0

* Thu Sep 20 2018 umeabot <umeabot> 1:5.49.0-2.mga7
+ Revision: 1277776
- Mageia 7 Mass Rebuild

* Sat Aug 04 2018 neoclust <neoclust> 1:5.49.0-1.mga7
+ Revision: 1247287
- New version 5.49.0

* Mon May 14 2018 neoclust <neoclust> 1:5.46.0-1.mga7
+ Revision: 1229225
- New version 5.46.0

* Thu Jan 11 2018 neoclust <neoclust> 1:5.42.0-1.mga7
+ Revision: 1192257
- New version 5.42.0

* Tue Dec 12 2017 neoclust <neoclust> 1:5.41.0-1.mga7
+ Revision: 1182307
- New version 5.41.0

* Thu Sep 28 2017 neoclust <neoclust> 1:5.38.0-1.mga7
+ Revision: 1161213
- New version 5.38.0

* Tue Aug 15 2017 neoclust <neoclust> 1:5.37.0-1.mga7
+ Revision: 1140375
- New version 5.37.0

* Sun Jul 16 2017 neoclust <neoclust> 1:5.36.0-1.mga7
+ Revision: 1123476
- New version 5.36.0

* Mon Mar 06 2017 neoclust <neoclust> 1:5.32.0-1.mga6
+ Revision: 1088939
- New version 5.32.0

* Tue Dec 13 2016 neoclust <neoclust> 1:5.29.0-1.mga6
+ Revision: 1074510
- New version 5.29.0

* Sun Dec 04 2016 neoclust <neoclust> 1:5.28.0-1.mga6
+ Revision: 1072378
- New version 5.28.0

* Fri Nov 18 2016 daviddavid <daviddavid> 1:5.27.0-2.mga6
+ Revision: 1068206
- Breeze Dark is listed as Breeze in System Settings (kde#370213)

* Tue Oct 04 2016 neoclust <neoclust> 1:5.27.0-1.mga6
+ Revision: 1058445
- New version 5.27.0

* Mon Oct 03 2016 daviddavid <daviddavid> 1:5.26.0-2.mga6
+ Revision: 1058195
- add upstream patch to fix missing KCharSelect desktop file icon (kde#366427)

* Thu Sep 08 2016 neoclust <neoclust> 1:5.26.0-1.mga6
+ Revision: 1050507
- New version 5.26.0

* Tue Aug 09 2016 neoclust <neoclust> 1:5.25.0-1.mga6
+ Revision: 1045085
- New version 5.25.0

* Tue Jul 12 2016 neoclust <neoclust> 1:5.24.0-1.mga6
+ Revision: 1041307
- New version 5.24.0

* Fri Jun 17 2016 neoclust <neoclust> 1:5.23.0-1.mga6
+ Revision: 1021906
- New version 5.23.0

* Thu May 12 2016 neoclust <neoclust> 1:5.22.0-1.mga6
+ Revision: 1014316
- New version 5.22.0

* Sat Apr 09 2016 neoclust <neoclust> 1:5.21.0-1.mga6
+ Revision: 999613
- New version 5.21.0

* Sun Mar 06 2016 neoclust <neoclust> 1:5.20.0-1.mga6
+ Revision: 986304
- New version 5.20.0

* Sun Feb 07 2016 neoclust <neoclust> 1:5.19.0-1.mga6
+ Revision: 942225
- New version 5.19.0

* Sun Jan 10 2016 neoclust <neoclust> 1:5.18.0-1.mga6
+ Revision: 921259
- New version 5.18.0

* Mon Dec 21 2015 neoclust <neoclust> 1:5.17.0-2.mga6
+ Revision: 912951
- Rebuild against Qt 5.6.0 Beta

* Sun Dec 13 2015 neoclust <neoclust> 1:5.17.0-1.mga6
+ Revision: 910021
- New version 5.17.0

* Mon Nov 30 2015 neoclust <neoclust> 1:5.16.0-4.mga6
+ Revision: 907237
- Fix conflicts

* Tue Nov 10 2015 neoclust <neoclust> 1:5.16.0-3.mga6
+ Revision: 900541
- Rebuild against fixed qtbase5

* Mon Nov 09 2015 neoclust <neoclust> 1:5.16.0-2.mga6
+ Revision: 899581
- Rebuild against fixed extra-cmake-modules

* Mon Nov 09 2015 neoclust <neoclust> 1:5.16.0-1.mga6
+ Revision: 899341
- imported package breeze-icons

